function QuitGame::OnWake()
{
   if($combat $= true)
      PauseGame();   
}

function CloseQuitGame()
{
   if($combat $= true)
      PauseGame();
   
   canvas.PopDialog(QuitGame);
}

function QuitCurrentGame()
{
   EndGame();
   alxStopAll();
   canvas.SetContent(RoadGangsMain);   
}